System 2.0.0.0 4.0.0.0

The credentials are used for authentication of requests sent to hosts using the class, and and its derived classes.

Provides the interface for retrieving credentials for a host, port, and authentication type.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkCredential `` `` ``

  The value of corresponds to the property.

  Returns the credential for the specified host, port, and authentication protocol.

  A for the specified host, port, and authentication protocol, or null if there are no credentials available for the specified host, port, and authentication protocol.

  The host computer that is authenticating the client. The port on that the client will communicate with. The authentication protocol.